# PCShellGetName

Gets an optional name that the user has set for a shell preconditioner.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCShellGetName(PC pc,char *name[])

Not Collective

### Input Parameter

pc -the preconditioner context

### Output Parameter

name -character string describing shell preconditioner (you should not free this)

### Keywords

PC, shell, get, name, user-provided

### See Also

PCShellSetName()

Level:developer
Location: src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages